SDL_FlushEvents(3)

NAME
SDL_FlushEvents - Clear events of a range of types from the event queue.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_FlushEvents(Uint32 minType, Uint32 maxType);

DESCRIPTION
This will unconditionally remove any events from the queue that are in the range of minType to maxType , inclusive. If you need to remove a single event type, use SDL_FlushEvent () instead. It's also normal to just ignore events you don't care about in your event loop without calling this function. This function only affects currently queued events. If you want to make sure that all pending OS events are flushed, you can call SDL_PumpEvents () on the main thread immediately before the flush call.

FUNCTION PARAMETERS

minType
    the low end of event type to be cleared, inclusive; see SDL_EventType
     for details

maxType
    the high end of event type to be cleared, inclusive; see SDL_EventType
     for details

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_FlushEvent(3)